Index: SPECS/subversion.spec
===================================================================
--- SPECS.orig/subversion.spec
+++ SPECS/subversion.spec
@@ -1,7 +1,15 @@
 # set to zero to avoid running test suite
+%ifnarch %{arm}
 %define make_check 1
+%else
+%define make_check 0
+%endif
 
+%ifnarch %{arm}
 %define with_java 1
+%else
+%define with_java 0
+%endif
 
 # set JDK path to build javahl; default for JPackage
 %define jdk_path /usr/lib/jvm/java
@@ -15,7 +23,7 @@
 Summary: Modern Version Control System designed to replace CVS
 Name: subversion
 Version: 1.4.3
-Release: 2%{?dist}
+Release: 2.fa1%{?dist}
 License: BSD
 Group: Development/Tools
 URL: http://subversion.tigris.org/
@@ -203,9 +211,11 @@ rm -rf ${RPM_BUILD_ROOT}
 
 %postun ruby -p /sbin/ldconfig
 
+%if %{with_java}
 %post javahl -p /sbin/ldconfig
 
 %postun javahl -p /sbin/ldconfig
+%endif
 
 %files -f %{name}.lang
 %defattr(-,root,root)
